#!/bin/sh
export str_timeout_qacgui="TIMEOUT 180 qac-gui"
export str_timeout_qacmbrw="TIMEOUT 180 qac-mbrw"
export str_timeout_qacpsr="TIMEOUT 180 qac-psr"
export str_timeout_qacbaseline="TIMEOUT 180 qac-baseline"
export str_timeout_qacdiaglist="TIMEOUT 180 qac-diaglist"
export str_timeout_qacannsrc="TIMEOUT 180 qac-annsrc"
export str_timeout_qacppgui="TIMEOUT 180 qacpp-gui"
export str_timeout_qacppmbrw="TIMEOUT 180 qacpp-mbrw"
export str_timeout_qacpppsr="TIMEOUT 180 qacpp-psr"
export str_timeout_qacppbaseline="TIMEOUT 180 qacpp-baseline"
export str_timeout_qacppdiaglist="TIMEOUT 180 qacpp-diaglist"
export str_timeout_qacppannsrc="TIMEOUT 180 qacpp-annsrc"
export str_timeout_qatoolmbrw="TIMEOUT 180 qatool-mbrw"
export str_timeout_qatooldiaglist="TIMEOUT 180 qatool-diaglist"
export str_timeout_qatoolannsrc="TIMEOUT 180 qatool-annsrc"
export str_timeout_qasecm2cm="TIMEOUT 180 qasec-m2cm"
export str_timeout_qasecm3cm="TIMEOUT 180 qasec-m3cm"
export str_timeout_qaseccertccm="TIMEOUT 180 qasec-certccm"
export str_timeout_qaseccweccm="TIMEOUT 180 qasec-cweccm"
export str_timeout_qasecmcpp="TIMEOUT 180 qasec-mcpp"
export str_timeout_qaseccertcppcm="TIMEOUT 180 qasec-certcppcm"
export str_timeout_qasecascm="TIMEOUT 180 qasec-ascm"
export str_timeout_qavserver="TIMEOUT 180 qav-server"
export str_timeout_qavclient="TIMEOUT 180 qav-client"
export str_debuglog_1="DEBUGLOG +"
export str_debuglog_2="/prqa_all.dlog std auth"
export str_reportlog_1="REPORTLOG +"
export str_reportlog_2="/prqa_usage.dlog std auth"
export str_rotate="ROTATE 30"


if [ ! -e prqa.opt ]; then
	# When there is no prqa.opt
	touch prqa.opt
	echo $str_timeout_qacgui >> prqa.opt
	echo $str_timeout_qacmbrw >> prqa.opt
	echo $str_timeout_qacpsr >> prqa.opt
	echo $str_timeout_qacbaseline >> prqa.opt
	echo $str_timeout_qacdiaglist >> prqa.opt
	echo $str_timeout_qacannsrc >> prqa.opt
	echo $str_timeout_qacppgui >> prqa.opt
	echo $str_timeout_qacppmbrw >> prqa.opt
	echo $str_timeout_qacpppsr >> prqa.opt
	echo $str_timeout_qacppbaseline >> prqa.opt
	echo $str_timeout_qacppdiaglist >> prqa.opt
	echo $str_timeout_qacppannsrc >> prqa.opt
	echo $str_timeout_qatoolmbrw >> prqa.opt
	echo $str_timeout_qatooldiaglist >> prqa.opt
	echo $str_timeout_qatoolannsrc >> prqa.opt
	echo $str_timeout_qasecm2cm >> prqa.opt
	echo $str_timeout_qasecm3cm >> prqa.opt
	echo $str_timeout_qaseccertccm >> prqa.opt
	echo $str_timeout_qaseccweccm >> prqa.opt
	echo $str_timeout_qasecmcpp >> prqa.opt
	echo $str_timeout_qaseccertcppcm >> prqa.opt
	echo $str_timeout_qasecascm >> prqa.opt
	echo $str_timeout_qavserver >> prqa.opt
	echo $str_timeout_qavclient >> prqa.opt
	echo $str_debuglog_1`pwd`$str_debuglog_2 >> prqa.opt
	echo $str_reportlog_1`pwd`$str_reportlog_2 >> prqa.opt
	echo $str_rotate >> prqa.opt
else
# When there is prqa.opt
	echo -e "prqa.opt already exists. Do you want to replace? [y/n]"
	read RET
	if [ $RET = "y" ]
	then
		rm -f prqa.opt
		touch prqa.opt
		echo $str_timeout_qacgui >> prqa.opt
		echo $str_timeout_qacmbrw >> prqa.opt
		echo $str_timeout_qacpsr >> prqa.opt
		echo $str_timeout_qacbaseline >> prqa.opt
		echo $str_timeout_qacdiaglist >> prqa.opt
		echo $str_timeout_qacannsrc >> prqa.opt
		echo $str_timeout_qacppgui >> prqa.opt
		echo $str_timeout_qacppmbrw >> prqa.opt
		echo $str_timeout_qacpppsr >> prqa.opt
		echo $str_timeout_qacppbaseline >> prqa.opt
		echo $str_timeout_qacppdiaglist >> prqa.opt
		echo $str_timeout_qacppannsrc >> prqa.opt
		echo $str_timeout_qatoolmbrw >> prqa.opt
		echo $str_timeout_qatooldiaglist >> prqa.opt
		echo $str_timeout_qatoolannsrc >> prqa.opt
		echo $str_timeout_qasecm2cm >> prqa.opt
		echo $str_timeout_qasecm3cm >> prqa.opt
		echo $str_timeout_qaseccertccm >> prqa.opt
		echo $str_timeout_qaseccweccm >> prqa.opt
		echo $str_timeout_qasecmcpp >> prqa.opt
		echo $str_timeout_qaseccertcppcm >> prqa.opt
		echo $str_timeout_qasecascm >> prqa.opt
		echo $str_timeout_qavserver >> prqa.opt
		echo $str_timeout_qavclient >> prqa.opt
		echo $str_debuglog_1`pwd`$str_debuglog_2 >> prqa.opt
		echo $str_reportlog_1`pwd`$str_reportlog_2 >> prqa.opt
		echo $str_rotate >> prqa.opt
	fi
fi
